function Ac = b2a(Bc)
M = length(Bc);
B = fft(Bc,M*8);       % DFT is used to evaluate the polynomial
Bmax = max(B(:));
if (Bmax >= 1.0)
    B = B./(1e-8 + Bmax);
end
MagA = abs(sqrt(1-B.*conj(B)));
% Note set MagAn out in front to 1?
A = MagA.*exp(-1i*imag(hilbert(log(MagA))));
Act = ifft(A);
Ac = Act(1:M);  % Take first n coefficients
