function [mx,my,mz,mxy] = ab2m(a,b,mx0,my0,mz0,pulseType)
% default value
if nargin < 3 || isempty(mx0)
    mx0 = zeros(size(a));
    my0 = zeros(size(a));
    mz0 = ones(size(a));
end
if nargin < 6
    pulseType = 'ex';
end

%
if strcmp(pulseType,'refocus') || strcmp(pulseType,'refocusing')
    mxy = - 1i*b.^2;
    mz = 0;
else
    mxy0 = mx0 + 1i*my0;
    mxy = conj(a).^2.*mxy0 - b.^2.*conj(mxy0) + 2*conj(a).*b.*mz0;
    mz = -conj(a).*conj(b).*mxy0 - a.*b.*conj(mxy0) + (a.*conj(a)-b.*conj(b)).*mz0;
end
mx = real(mxy);
my = imag(mxy);