function [Bc,B] = b2bc(Bd,M)
% Design a polynomial with a desired frequency response
% Output: 
%    Bc, coefficients of the designed polynomial
%    B, the frequency response of the designed polynomial
%

Ns = length(Bd);
temp = fftshift(ifft(fftshift(Bd)));
% truncation to get Bc
Bc = temp((Ns/2-(M-1)/2+1):(Ns/2+(M-1)/2 +1));

% the actually achieved response
Bc_zp = zeros(Ns,1);
Bc_zp((Ns/2-(M-1)/2+1):(Ns/2+(M-1)/2 +1)) = Bc;
B = fftshift(fft(fftshift(Bc_zp)));
