function c  = firb2c( b )
% from a set of FIR filter coefficients calculate the corresponding
% coefficients if the basis functions are cosine and sine functions
%

N = length(b);
k = 1:(N-1)/2;
alpha = zeros((N-1)/2+1,1);
alpha(1) = b((N-1)/2+1);
alpha(2:end) = b((N-1)/2+1+k) + b((N-1)/2+1- k);
beta = zeros((N-1)/2,1);
beta = -1i*( b((N-1)/2+1+k) - b((N-1)/2+1- k));

c = [alpha(:);beta(:)];
end

